package com.zswc.creativity.vmodel

import android.app.Application
import com.zswc.creativity.utils.net.NetEngine
import com.ysnows.base.base.BRRepository
import com.ysnows.base.base.BRViewModel
import com.ysnows.base.net.IResp


class AreaSelectVModel(application: Application) : BRViewModel<BRRepository>(application) {

    var code = "0"//默认市


    override fun apiFunc(): suspend () -> IResp<*> {
        return { NetEngine.service.getArea(code, repository().page) }
    }

}
